


import model.*;
import tdd.annotations.Einrichtung;
import tdd.annotations.Test;
import tdd.controllers.TerritoryStateController;



import static tdd.HamsterErwartungen.*;



public class TesteZaehleKoerner extends BaseTest {
	
	
	
	public TesteZaehleKoerner(TerritoryStateController territoryStateController) {
	
		super(territoryStateController);
	}
	
	
	
	@Test
void testeNullKoerner() {
	ladeTerritorium("NullKoerner");
	int anzahl = zaehleKoerner();
	erwarteGleich(0, anzahl);
}

@Test
void testeVierKoerner() {
	ladeTerritorium("VierKoerner");
	int anzahl = zaehleKoerner();
	erwarteGleich(4, anzahl);
}

}